require(plyr)

tb <- ddply(iris, .(Species), colwise(mean))
tb

require(xtable)

cap <- "Médias para comprimento e largura da sépala
e pétala de acordo com a espécie."

print(xtable(tb, caption=cap, label="tab:iris", digits=3),
      include.rownames=FALSE, caption.placement="top")

sink("irismedias.txt")
print(xtable(tb, caption=cap, label="tab:iris", digits=3),
      include.rownames=FALSE, caption.placement="top")
sink()

grep("red", colors(), value=TRUE)

pdf("histograma.pdf")
hist(rnorm(1000), col="orangered3")
dev.off()
